| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
fusion_state_t Struct Reference

`#include <fusion_exec.h>`

Collaboration diagram for fusion_state_t:

## Data Fields
quaternion_type | algorithmToUse
int32 | loopcounter
isf_timestamp_t | accelTimestamp
struct AccelSensor | thisAccel
struct MagSensor | thisMag
struct MagCalibration | thisMagCal
struct MagneticBuffer | thisMagBuffer
isf_timestamp_t | magTimestamp
struct GyroSensor | thisGyro
isf_timestamp_t | gyroTimestamp
struct SV_3DOF_G_BASIC | thisSV_3DOF_G_BASIC
struct SV_3DOF_B_BASIC | thisSV_3DOF_B_BASIC
struct SV_3DOF_Y_BASIC | thisSV_3DOF_Y_BASIC
struct SV_6DOF_GB_BASIC | thisSV_6DOF_GB_BASIC
struct SV_6DOF_GY_KALMAN | thisSV_6DOF_GY_KALMAN
struct SV_9DOF_GBY_KALMAN | thisSV_9DOF_GBY_KALMAN
int8 | softReset

## Detailed Description

Definition at line 36 of file fusion_exec.h.

## Field Documentation

isf_timestamp_t accelTimestamp

Definition at line 54 of file fusion_exec.h.

quaternion_type algorithmToUse

Definition at line 39 of file fusion_exec.h.

Referenced by fsl_fusion_virt_3D_orient_Initialize(), Fusion_Init(), and Fusion_Run().

isf_timestamp_t gyroTimestamp

Definition at line 67 of file fusion_exec.h.

int32 loopcounter

Definition at line 42 of file fusion_exec.h.

Referenced by Fusion_Init(), and Fusion_Run().

isf_timestamp_t magTimestamp

Definition at line 62 of file fusion_exec.h.

int8 softReset

Definition at line 106 of file fusion_exec.h.

struct AccelSensor thisAccel

Definition at line 55 of file fusion_exec.h.

Referenced by Fusion_Run().

struct GyroSensor thisGyro

Definition at line 66 of file fusion_exec.h.

Referenced by Fusion_Run().

struct MagSensor thisMag

Definition at line 59 of file fusion_exec.h.

Referenced by Fusion_Run(), and MagCal_Run().

struct MagneticBuffer thisMagBuffer

Definition at line 61 of file fusion_exec.h.

Referenced by Fusion_Init(), Fusion_Run(), and MagCal_Run().

struct MagCalibration thisMagCal

Definition at line 60 of file fusion_exec.h.

Referenced by Fusion_Init(), Fusion_Run(), and MagCal_Run().

struct SV_3DOF_B_BASIC thisSV_3DOF_B_BASIC

Definition at line 82 of file fusion_exec.h.

Referenced by Fusion_Init(), and Fusion_Run().

struct SV_3DOF_G_BASIC thisSV_3DOF_G_BASIC

Definition at line 77 of file fusion_exec.h.

Referenced by Fusion_Init(), and Fusion_Run().

struct SV_3DOF_Y_BASIC thisSV_3DOF_Y_BASIC

Definition at line 87 of file fusion_exec.h.

Referenced by Fusion_Init(), and Fusion_Run().

struct SV_6DOF_GB_BASIC thisSV_6DOF_GB_BASIC

Definition at line 92 of file fusion_exec.h.

Referenced by Fusion_Init(), and Fusion_Run().

struct SV_6DOF_GY_KALMAN thisSV_6DOF_GY_KALMAN

Definition at line 97 of file fusion_exec.h.

Referenced by Fusion_Init(), and Fusion_Run().

struct SV_9DOF_GBY_KALMAN thisSV_9DOF_GBY_KALMAN

Definition at line 102 of file fusion_exec.h.

Referenced by Fusion_Init(), and Fusion_Run().

The documentation for this struct was generated from the following file:

- SensorFusion/fusion_exec.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.